Skip to navigation

Create Currency

Creates Currency.

Required Fields

  • name
  • currency_code
  • currency_exchange_rate
  • token_location
  • token
  • decimal_token
  • thousands_token
  • decimal_places

Read-Only Fields

  • id
  • last_updated

The is_default property can only be set to true. The value of is_default cannot be unset, only overridden. To change the storeʼs default currency in the BigCommerce control panel, please see Managing Currencies (Help Center).

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Request

This endpoint expects an object.
currency_codestringRequired

3-letter ISO 4217 code for this currency.

currency_exchange_ratestringRequired

Amount of this currency that is equivalent to one U.S. dollar.(Float, Float as String, Integer)

token_locationstringRequired

Specifies whether this currency’s symbol appears to the “left” or “right” of the numeric amount.

tokenstringRequired
Symbol for this currency.
decimal_tokenstringRequired
Symbol used as the decimal separator in this currency.
thousands_tokenstringRequired
Symbol used as the thousands separator in this currency.
decimal_placesintegerRequired
Number of decimal places to show for this currency.
namestringRequired
Name of the currency.
is_defaultbooleanOptional

Specifies the store’s default currency display format. For write operations, only true value is accepted. When set to true, it cannot be unset, only overridden.

country_iso2stringOptional

2-letter ISO Alpha-2 code for this currency’s country.

auto_updatebooleanOptional

Specifies whether to use the Open Exchange Rates service to update the currency conversion. A value of false specifies a static conversion value. auto_update only applies to non-transactional currencies.

enabledbooleanOptional
If the currency is active on the store.
is_transactionalbooleanOptional
Indicates if the currency is set as transactional or not. False means display only currency

Response

OK
auto_updatebooleanOptional

Specifies whether to use the Open Exchange Rates service to update the currency conversion. A value of false specifies a static conversion value. auto_update only applies to non-transactional currencies.

country_iso2stringOptional

2-letter ISO Alpha-2 code for this currency’s country.

currency_codestringOptional

3-letter ISO 4217 code for this currency.

currency_exchange_ratestringOptional

Amount of this currency that is equivalent to one U.S. dollar.(Float, Float as String, Integer)

decimal_placesintegerOptional
Number of decimal places to show for this currency.
decimal_tokenstringOptional
Symbol used as the decimal separator in this currency.
default_for_country_codeslist of stringsOptional

Default 3-letter ISO 4217 code for this currency.

enabledbooleanOptional
If the currency is active on the store.
idintegerOptionalRead-only
ID of the currency. Read only.
is_defaultbooleanOptional

Specifies the store’s default currency display format. For write operations, only true value is accepted. When set to true, it cannot be unset, only overridden.

is_transactionalbooleanOptional
Indicates if the currency is set as transactional or not. False means display only currency
last_updateddatetimeOptionalRead-only
Date the currency was last updated, created or modified.
namestringOptional
Name of the currency.
thousands_tokenstringOptional
Symbol used as the thousands separator in this currency.
tokenstringOptional
Symbol for this currency.
token_locationstringOptional

Specifies whether this currency’s symbol appears to the “left” or “right” of the numeric amount.

use_default_namebooleanOptional
Default currency name